Loading...
Searching...
No Matches
CLI::FailureMessage Namespace Reference

## Functions

CLI11_INLINE std::string | simple (const App *app, const Error &e)
| Printout a clean, simple message on error (the default in CLI11 1.5+).
CLI11_INLINE std::string | help (const App *app, const Error &e)
| Printout the full help string on error (if this fn is set, the old default for CLI11).

## Function Documentation

## help()

CLI11_INLINE std::string CLI::FailureMessage::help | ( | const App * | app,
|  | const Error & | e )

Printout the full help string on error (if this fn is set, the old default for CLI11).

## simple()

CLI11_INLINE std::string CLI::FailureMessage::simple | ( | const App * | app,
|  | const Error & | e )

Printout a clean, simple message on error (the default in CLI11 1.5+).